.SmartCaptcha-Overlay{
  position:fixed;
  z-index:9999999;
  top:-10000px;
  left:-10000px;

  width:100%;
  width:var(--smart-captcha-doc-width, 100%);
  height:100%;
  height:var(--smart-captcha-doc-height, 100%);
  margin:0;
  padding:0;

  background:rgba(0, 0, 0, 0.4);
}

.SmartCaptcha-Overlay.SmartCaptcha-Overlay_visible{
  position:fixed;
  top:0;
  left:0;
}

.SmartCaptcha-Overlay.SmartCaptcha-Overlay_no_background{
  background:none;
}

.SmartCaptcha-Overlay .SmartCaptcha-Spin{
  position:absolute;
  top:50%;
  left:0;
  right:0;

  margin:auto;

  transform:translateY(-50%);
}


.SmartCaptcha-Spin{
  display:none;
  visibility:hidden;

  box-sizing:border-box;

  border:2px solid transparent;
  border-radius:50%;
  background-image:linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0));
}
.SmartCaptcha-Spin::after{
  visibility:hidden;

  content:'\00A0';
}
.SmartCaptcha-Overlay_visible.SmartCaptcha-Overlay_show_spinner .SmartCaptcha-Spin{
  display:inline-block;
  visibility:visible;

  width:50px;
  height:50px;

  border-top-color:#5282FF;
  border-left-color:#5282FF;

  animation:islands-spin 1s .21s infinite linear;

  backface-visibility:hidden;
}
 .SmartCaptcha-Overlay_visible.SmartCaptcha-Overlay_show_spinner .SmartCaptcha-Spin{
  border-top-color:var(--spin-view-default-border-color, #5282FF);
  border-left-color:var(--spin-view-default-border-color, #5282FF);
}

@keyframes islands-spin{
  from{
    transform:rotate(0deg);
  }

  to{
    transform:rotate(360deg);
  }
}


.smart-captcha{
  min-width:300px;
  height:102px;
}

.smart-captcha_invisible{
  height:0;
}


span.im-caret {
    -webkit-animation: 1s blink step-end infinite;
    animation: 1s blink step-end infinite;
}

@keyframes blink {
    from, to {
        border-right-color: black;
    }
    50% {
        border-right-color: transparent;
    }
}

@-webkit-keyframes blink {
    from, to {
        border-right-color: black;
    }
    50% {
        border-right-color: transparent;
    }
}

span.im-static {
    color: grey;
}

div.im-colormask {
    display: inline-block;
    border-style: inset;
    border-width: 2px;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
}

div.im-colormask > input {
    position: absolute;
    display: inline-block;
    background-color: transparent;
    color: transparent;
    -webkit-appearance: caret;
    -moz-appearance: caret;
    appearance: caret;
    border-style: none;
    left: 0; /*calculated*/
}

div.im-colormask > input:focus {
    outline: none;
}

div.im-colormask > input::-moz-selection{
    background: none;
}

div.im-colormask > input::selection{
    background: none;
}
div.im-colormask > input::-moz-selection{
    background: none;
}

div.im-colormask > div {
    color: black;
    display: inline-block;
    width: 100px; /*calculated*/
}



.smart-captcha iframe {min-height: 100px !important;}